<?php
if (!defined ('FAST_FILE_SEARCH'))
{
	header ("Location: index.php");
	die ("");
}

# How is the translation done?
# ---------------------------

# The majority of texts are in a translation array:
# $tr["english sentence"] = "translated sentence";

# Some things remain in files - the helps and similar things.
# Other files which need to be translated:
# help_edit.php help_search.php


# TRANSLATION

$months = array ("Jan", "Feb", "Mrc", "pr", "Mj", "Jn", "Jl", "Aug", "Szept", "Okt", "Nov", "Dec");

# SELECT.PHP:
if (defined ("FFS_SEARCH"))
{
	# the predefined file types in select.php (the main search page)
	$tr["ISO images"] = "ISO-k";
	$tr["pictures"] = "kpek";
	$tr["software"] = "szoftverek";

	# the predefined times in select.php
	$tr["today"] = "ma";
	$tr["yesterday"] = "tegnap";
	$tr["2 days ago"] = "2 napja";
	$tr["3 days ago"] = "3 napja";
	$tr["week ago"] = "1 hete";
	$tr["2 weeks ago"] = "2 hete";
	$tr["month ago"] = "1 hnapja";

	$tr["Searching is case insensitive."] = "A keres nem klnbzteti meg a kis- s nagybetket.";
	$tr["Files (wildcard (?,*))"] = "Fjlok (joker karakterekkel (?,*))";
	$tr["Files (substring)"] = "Fjlok (tredksz)";
	$tr["Files (regular expression)"] = "Fjlok (szabvnyos kifejezs)";
	$tr["Directories (substring)"] = "Knyvtrak (tredksz)";
	$tr["Directories (wildcard (?,*))"] = "Knyvtrak (joker karakterekkel (?,*))";
	$tr["Directories (regular expression)"] = "Knyvtrak (szabvnyos kifejezs)";
	$tr["Search!"] = "Keress";
	$tr["Fill in the parameters for"] = "A kvetkezkre keres";
	$tr["Hide parameters of advanced search"] = "Hide parameters of advanced search";
	$tr["Show parameters of advanced search"] = "Show parameters of advanced search";
	$tr["Save settings (cookies required)"] = "Belltsok mentse (cookie engedlyezse szksges)";
	$tr["Show only online hosts"] = "Csak elrhet gpek listzsa";
	$tr["Print sizes in human readable format"] = "Prefixek hasznlata listzsnl";
	$tr["Search on"] = "Keress";
	$tr["hosts"] = "szervereken";		# SMB and FTP hosts
	$tr["file size"] = "fjl mret";
	$tr["Only files added since"] = "Frissebbek mint";
	$tr["Hits per page"] = "Tallatok oldalanknt";
	$tr["Your history"] = "Korbbi keressei";
	$tr["Statistics"] = "Statisztika";
	$tr["SMBs"] = "SMB";
	$tr["FTPs"] = "FTP";
	$tr["Directories"] = "Knyvtrak";
	$tr["Files"] = "Fjlok";
	$tr["Total size"] = "Teljes mret";
	$tr["Queries"] = "Keressek";
	$tr["and"] = "s";
	$tr["others"] = "a tbbiek";
	$tr["uses some code from"] = "felhasznlta a FemFind kdrszleteit. ";
	$tr["is distributed under the"] = "a GPL licensz alatt terjeszthet. ";


	# SEARCH.PHP:
	$tr["Results for"] = "Eredmnyek:";
	$tr["More"] = "Tbb";
	$tr["New search"] = "j keress";
	$tr["No hits"] = "Nincs tallat";
	$tr["Hit"] = "Tallat";
	$tr["Hits"] = "Tallat";


	# BROWSE.PHP
	$tr["Name"] = "Nv";
	$tr["Size"] = "Mret";
	$tr["Date"] = "Dtum";
}
$tr["Last change"] = "Utols frissts";


# FTP_LIST.PHP, FTP_HOST.PHP, FTP_DEL.PHP,
# SMB_LIST.PHP, SMB_HOST.PHP, SMB_DEL.PHP:

# actions
$tr["Add"] = "Hozzads";
$tr["Update"] = "Frissts";
$tr["Edit"] = "Szerkeszts";
$tr["Scan"] = "Scan";
$tr["Delete"] = "Trls";
$tr["Purge"] = "Eltvolts";
$tr["Cancel"] = "Mgsem";

if (defined ("FFS_HOST_LIST"))
{
	# menu items
	$tr["Add FTP server"] = "FTP szerver hozzadsa";
	$tr["Edit FTP server"] = "FTP szerver szerkesztse";
	$tr["Delete FTP server"] = "FTP szerver trlse";
	$tr["Purge FTP server"] = "Purge FTP server";
	$tr["Add SMB server"] = "SMB szerver hozzadsa";
	$tr["Edit SMB server"] = "SMB szerver szerkesztse";
	$tr["Delete SMB server"] = "SMB szerver trlse";
	$tr["Purge SMB server"] = "Purge SMB server";

	# results and errors
	$tr["Host name must be specified"] = "A hostnv megadsa ktelez";
	$tr["Workgroup must be specified"] = "A Munkacsoport megadsa ktelez";
	$tr["is not valid IP address"] = "rvnytelen IP cm";
	$tr["is not valid DNS name or IP address"] = "rvnytelen hostnv vagy IP cm";
	$tr["Login must be specified"] = "Felhasznlnv megadsa ktelez";
	$tr["Port is not valid"] = "rvnytelen port";
	$tr["is not valid file name with absolute path"] = "Nem ltez elrsi t, fjlnv";
	$tr["was added to list"] = "hozzadva";
	$tr["is already in the list"] = "mr megtallhat a listban";
	$tr["was deleted"] = "trlve";
	$tr["will be scanned during the next network scan"] = "frissl a kvetkez frisstskor";
	$tr["will be deleted during next crawl"] = "trldik a kvetkez frisstskor";
	$tr["will be purged during next crawl"] = "el lesz tvoltva a kvetkez frisstskor";
	# %s will be substituted by the hostname:
	$tr["__host_add_error__"] = "Hiba trtnt a %s host hozzadsa kzben";
	$tr["__host_updated__"] = "A %s frisslt";

	# data fields
	$tr["Host"] = "Hostnv";
	$tr["Host (DNS name or IP)"] = "Host (hostnv vagy IP cm)";
	$tr["Login"] = "Felhasznlnv";
	$tr["Password"] = "Jelsz";
	$tr["Port"] = "Port";
	$tr["Starting directory"] = "Kiindulsi knyvtr";
	$tr["List of files"] = "Fjl lista";
	$tr["Use passive mode"] = "Passzv md";
	$tr["Use recursive ls (ls -lR) for getting file list"] = "Hasznlja a rekurzv ls-t (ls -lR) a fjlista letltshez";
	$tr["(server must support it)"] = "(a szervernek tmogatnia kell)";
	$tr["(if server supports it)"] = "(ha a szerver tmogatja)";
	$tr["Comment"] = "Megjegyzs";
	$tr["Editable by"] = "Szerkesztheti (hostnv)";
	$tr["IP address"] = "IP cm";
	$tr["Workgroup"] = "Munkacsoport";
	$tr["Shares"] = "Megosztsok";
	$tr["Name"] = "Nv";
	$tr["File size"] = "Fjl mret";
	$tr["Period"] = "Peridus";
	$tr["Counter"] = "Szmll";
	$tr["Scan order"] = "Frisstsi sorszm";
	$tr["Expire count"] = "Elvls";
	$tr["Flags"] = "Sttusz";
	$tr["Action"] = "Mvelet";
	$tr["delete"] = "trls";
	$tr["purge"] = "eltvolts";
}


# COMMENTS.PHP, COMMENT_DEL.PHP:
if (defined ("FFS_COMMENTS"))
{
	$tr["You are welcome to write here any comments, ideas, ..."] = "Vrjuk szrevteleit, tleteit, megjegyzseit";
	$tr["Your name or nickname"] = "Nv";
	$tr["Your e-mail"] = "E-mail cm";
	$tr["optional"] = "tetszleges";
	$tr["Comment text"] = "Szveg";
	$tr["Submit"] = "Elkld";
	$tr["Delete comment"] = "Megjegyzs trlse";
	$tr["Do you really want to delete this comment?"] = "Biztosan trlni kvnja a megjegyzst?";
}


# ADMIN.PHP:
if (defined ('FFS_ADMIN'))
{
	$tr["Change password"] = "Jelsz megvltoztatsa";
	$tr["Logout"] = "Kijelentkezs";
	$tr["Password was changed"] = "A jelszvltoztats siekrlt";
	$tr["Password cannot be empty"] = "Krem adjon meg jelszt";
	$tr["Passwords do not match"] = "A megadott jelszavak nem egyeznek";
	$tr["New password"] = "j jelsz";
	$tr["Reenter password"] = "j jelsz mgegyszer";
	$tr["Login name"] = "Felhasznlnv";
	$tr["Password"] = "Jelsz";
	$tr["Login"] = "Bejelentkezs";
	$tr["There are no admins."] = "Nincsenek adminisztrtorok megadva.";
	$tr["Admin name"] = "Adminisztrtor neve";
	$tr["E-mail"] = "E-mail";
	$tr["Rights"] = "Jogosultsgok";
	$tr["Edit FTP list"] = "FTP lista szerkesztse";
	$tr["Edit SMB list"] = "SMB lista szerkesztse";
	$tr["Purge FTP server from list"] = "FTP szerver eltvoltsa";	# purge == completely delete
	$tr["Purge SMB server from list"] = "SMB szerver eltvoltsa";
	$tr["Delete comments"] = "Megjegyzsek trlse";
}


# MENU.PHP:
$tr["Search"] = "Keress";
$tr["FTP server list"] = "FTP szerverek";
$tr["SMB server list"] = "SMB szerverek";
$tr["Comments"] = "Megjegyzsek";
$tr["Admin"] = "Adminisztrtor";


# HELP_EDIT.PHP, HELP_SEARCH.PHP
$tr["Help"] = "Sg";


# CONFIG.PHP, DB.PHP:
$tr["Error"] = "Hiba";
$tr["Can't read configuration file"] = "A konfigurcis fjl nem olvashat.";
$tr["DB_NAME must be defined in configuration file"] = "A DB_NAME megadsa szksges a konfigurcis fjlban";
$tr["DB_LOGIN must be defined in configuration file"] = "A DB_LOGIN megadsa szksges a konfigurcis fjlban";
$tr["DB_PASSWORD must be defined in configuration file"] = "A DB_PASSWORD megadsa szksges a konfigurcis fjlban";
$tr["Can't connect to database"] = "Az adatbzis nem elrhet";
$tr["Can't connect to master database"] = "A master adatbzis nem elrhet";


# Some things are inpossible to translate by the translation array
# (for example there are different suffixes for different count of servers
# in some languages), these things are translated by a function.

function print_n_hits_in_s_seconds ($n, $s)
{
	echo "$n ";
	if ($n == 1)
		echo "tallat";
	else
		echo "tallat";
	echo "  ", sprintf ("%0.2f", $s), " msodperc alatt";
}

function page_generated ($host, $time)
{
	echo "Ez az oldal ",
		$host, " krsre kszlt. ",strftime ("%Y.%m.%d %H:%M:%S", $time);
}

function confirm_delete ($host, $purge = 0)
{
	echo "Biztosan ", ($purge ? "eltvoltja" : "trli"), " $host?";
}

function permition_host_add ($type)		# $type = FTP or $type = SMB
{
	return "$type host hozzadshoz adminisztrtorknt jelentkezzen be";
}

function permition_host_edit ($HID)
{
	return "Nincs host HID = $HID a listban vagy<br />a host mdostshoz jelentkezzen be adminisztrtorknt";
}

function permition_host_delete ($HID, $type, $purge = 0)	# $type = FTP or $type = SMB
{
	return "Nincs host HID = $HID a listban<br />adminisztrtorknt kell bejelentkeznie, hogy joga legyen" . ($purge ? "eltvolts" : "szerkeszts vagy eltvolts") . " $type hostok";
}

function permition_comment_delete ($CID)
{
	return "Nincs megjegyzs CID = $CID vagy<br />trlshez adminisztrtorknt jelentkezzen be";
}

function slow_queries_disabled ()
{
	global $c, $lang, $aid, $fast_query_minsize, $fast_query_maxsize;

	echo '<h1>A lass query-k kikapcsolva</h1>';
	echo "Adjon meg norml karaktereket is a fjl elejn vagy vgn a joker ('*' vagy '?') karakterek mellett  (pl. *.iso)";
	if ($fast_query_minsize >= 0)
		echo '<br />vagy adjon meg minimum fjlmretet "', $c["FAST_QUERY_MINSIZE"], '"';
	if ($fast_query_maxsize >= 0)
		echo '<br />vayg adjon meg maximum fjlmretet "', $c["FAST_QUERY_MAXSIZE"], '"';
	echo '.<br /><br /><a href="select.php?lang=', $lang, $aid, '">Vissza a keressi paramterekhez</a>';
}

?>
