<?php
if (!defined ('FAST_FILE_SEARCH'))
{
	header ("Location: index.php");
	die ("");
}

# How is the translation done?
# ---------------------------

# The majority of texts are in a translation array:
# $tr["english sentence"] = "translated sentence";

# Some things remain in files - the helps and similar things.
# Other files which need to be translated:
# help_edit.php help_search.php


# TRANSLATION

$months = array ("Janur", "Februr", "Marec", "Aprl", "Mj", "Jn", "Jl", "August", "September", "Oktber", "November", "December");

# SELECT.PHP:
if (defined ("FFS_SEARCH"))
{
	# the predefined file types in select.php (the main search page)
	$tr["ISO images"] = "ISO obraz CDka";
	$tr["pictures"] = "obrzky";
	$tr["software"] = "software";

	# the predefined times in select.php
	$tr["today"] = "dnes";
	$tr["yesterday"] = "vera";
	$tr["2 days ago"] = "predverom";
	$tr["3 days ago"] = "pred 3 dami";
	$tr["week ago"] = "pred tdom";
	$tr["2 weeks ago"] = "pred 2 tdami";
	$tr["month ago"] = "pred mesiacom";

	$tr["Searching is case insensitive."] = "Vyhadva nerozliuje vek a mal psmena";
	$tr["Files (wildcard (?,*))"] = "Sbory (maska (?,*))";
	$tr["Files (substring)"] = "Sbory (podreazec)";
	$tr["Files (regular expression)"] = "Sbory (regulrny vraz)";
	$tr["Directories (substring)"] = "Adresre (podreazec)";
	$tr["Directories (wildcard (?,*))"] = "Adresre (maska (?,*))";
	$tr["Directories (regular expression)"] = "Adresre (regulrny vraz)";
	$tr["Search!"] = "Vyhada";
	$tr["Fill in the parameters for"] = "Nastavi parametre pre";
	$tr["Hide parameters of advanced search"] = "Hide parameters of advanced search";
	$tr["Show parameters of advanced search"] = "Show parameters of advanced search";
	$tr["Save settings (cookies required)"] = "Uloi nastavenie (vyaduje cookies)";
	$tr["Show only online hosts"] = "Zobrazi iba dostupn servery";
	$tr["Print sizes in human readable format"] = "Vypsa vekosti vo formte pre loveka";
	$tr["Search on"] = "Prehada";
	$tr["hosts"] = "servery";		# SMB and FTP hosts
	$tr["file size"] = "vekost sborov";
	$tr["Only files added since"] = "Iba sbory njdene od";
	$tr["Hits per page"] = "Vsledkov na strnku";
	$tr["Your history"] = "Histria vaich hadan";
	$tr["Statistics"] = "tatistika";
	$tr["SMBs"] = "SMB servery";
	$tr["FTPs"] = "FTP servery";
	$tr["Directories"] = "Adresre";
	$tr["Files"] = "Sbory";
	$tr["Total size"] = "Celkov vekos";
	$tr["Queries"] = "Otzky";
	$tr["and"] = "a";
	$tr["others"] = "alie";
	$tr["uses some code from"] = "obsahuje asti kdu projektu";
	$tr["is distributed under the"] = "je distribuovan pod licenciou";


	# SEARCH.PHP:
	$tr["Results for"] = "Vsledky";
	$tr["More"] = "Viacej";
	$tr["New search"] = "Nov hadanie";
	$tr["No hits"] = "iadne vsledky";
	$tr["Hit"] = "Vsledok";
	$tr["Hits"] = "Vsledky";


	# BROWSE.PHP
	$tr["Name"] = "Meno";
	$tr["Size"] = "Vekos";
	$tr["Date"] = "Dtum";
}
$tr["Last change"] = "Posledn zmena";


# FTP_LIST.PHP, FTP_HOST.PHP, FTP_DEL.PHP,
# SMB_LIST.PHP, SMB_HOST.PHP, SMB_DEL.PHP:

# actions
$tr["Add"] = "Prida";
$tr["Update"] = "Opravi";
$tr["Edit"] = "Upravi";
$tr["Scan"] = "Prehada";
$tr["Delete"] = "Zmaza";
$tr["Purge"] = "Odstrni";
$tr["Cancel"] = "Sp";

if (defined ("FFS_HOST_LIST"))
{
	# menu items
	$tr["Add FTP server"] = "Prida FTP server";
	$tr["Edit FTP server"] = "Editova FTP server";
	$tr["Delete FTP server"] = "Zmaza FTP server";
	$tr["Purge FTP server"] = "Odstrni FTP server";
	$tr["Add SMB server"] = "Prida SMB server";
	$tr["Edit SMB server"] = "Editova SMB server";
	$tr["Delete SMB server"] = "Zmaza SMB server";
	$tr["Purge SMB server"] = "Odstrni SMB server";

	# results and errors
	$tr["Host name must be specified"] = "Meno potaa mus by zadan";
	$tr["Workgroup must be specified"] = "Skupina mus by zadan";
	$tr["is not valid IP address"] = "nieje platn IP adresa";
	$tr["is not valid DNS name or IP address"] = "nieje platn DNS meno alebo IP adresa";
	$tr["Login must be specified"] = "Prihlasovacie meno mus by zadan";
	$tr["Port is not valid"] = "Port nieje v poriadku";
	$tr["is not valid file name with absolute path"] = "nieje platn meno sboru vrtane   absoltnej cesty";
	$tr["was added to list"] = "bol pridan do zoznamu";
	$tr["is already in the list"] = "u je v zozname";
	$tr["was deleted"] = "bol zmazan";
	$tr["will be scanned during the next network scan"] = "bude prehadan poas nasledujceho prehadvania siete";
	$tr["will be deleted during next crawl"] = "bude zmazan poas nasledujceho prehadvania siete";
	$tr["will be purged during next crawl"] = "bude odstrnen poas nasledujceho prehadvania siete ";
	# %s will be substituted by the hostname:
	$tr["__host_add_error__"] = "Poas pridvania servera %s nastala chyba";
	$tr["__host_updated__"] = "Informcie o serveri %s boli aktualizovan";

	# data fields
	$tr["Host"] = "Server";
	$tr["Host (DNS name or IP)"] = "Server (DNS meno alebo IP)";
	$tr["Login"] = "Prihlasovacie meno";
	$tr["Password"] = "Heslo";
	$tr["Port"] = "Port";
	$tr["Starting directory"] = "Poiaton adresr";
	$tr["List of files"] = "Zoznam sborov";
	$tr["Use passive mode"] = "Pouva pasvny md";
	$tr["Use recursive ls (ls -lR) for getting file list"] = "Pouva rekurzvne ls (ls -lR) na zsknie zoznamu sborov";
	$tr["(server must support it)"] = "(server to mus podporova)";
	$tr["(if server supports it)"] = "(pokia to server podporuje)";
	$tr["Comment"] = "Poznmka";
	$tr["Editable by"] = "Editovaten (km)";
	$tr["IP address"] = "IP adresa";
	$tr["Workgroup"] = "Skupina";
	$tr["Shares"] = "Zdiean poloky";
	$tr["Name"] = "Nzov";
	$tr["File size"] = "Vekos sborov";
	$tr["Period"] = "Perida";
	$tr["Counter"] = "Potadlo";
	$tr["Scan order"] = "Poradie prehadvania";
	$tr["Expire count"] = "Potadlo nedostupnosti";
	$tr["Flags"] = "Prznaky";
	$tr["Action"] = "Akcie";
	$tr["delete"] = "zmaza";
	$tr["purge"] = "odstrni";
}


# COMMENTS.PHP, COMMENT_DEL.PHP:
if (defined ("FFS_COMMENTS"))
{
	$tr["You are welcome to write here any comments, ideas, ..."] = "Tu moete psa svoje komntre, poznmky, npady, ...";
	$tr["Your name or nickname"] = "Vae meno alebo prezvka";
	$tr["Your e-mail"] = "Vaa e-mail adresa";
	$tr["optional"] = "nepovinn";
	$tr["Comment text"] = "Text komentra";
	$tr["Submit"] = "Odosla";
	$tr["Delete comment"] = "Zmaza komentr";
	$tr["Do you really want to delete this comment?"] = "Naozaj chcete zmazat tento komentr?";
}


# ADMIN.PHP:
if (defined ('FFS_ADMIN'))
{
	$tr["Change password"] = "Zmeni heslo";
	$tr["Logout"] = "Odhlsi sa";
	$tr["Password was changed"] = "Heslo bolo zmenen";
	$tr["Password cannot be empty"] = "Heslo neme byt przdne";
	$tr["Passwords do not match"] = "Hesl nie su rovnak";
	$tr["New password"] = "Nov heslo";
	$tr["Reenter password"] = "Ete raz";
	$tr["Login name"] = "Prihlasovacie meno";
	$tr["Password"] = "Heslo";
	$tr["Login"] = "Prihlsi sa";
	$tr["There are no admins."] = "Nie s nadefinovan iadny administrtori.";
	$tr["Admin name"] = "Meno administrtora";
	$tr["E-mail"] = "E-mail";
	$tr["Rights"] = "Prva";
	$tr["Edit FTP list"] = "Editova zoznam FTP serverov";
	$tr["Edit SMB list"] = "Editova zoznam SMB serverov";
	$tr["Purge FTP server from list"] = "Odstrani FTP server zo zoznamu";	# purge == completely delete
	$tr["Purge SMB server from list"] = "Odstrni SMB server zo zoznamu";
	$tr["Delete comments"] = "Maza komentre";
}


# MENU.PHP:
$tr["Search"] = "Vyhadvnie";
$tr["FTP server list"] = "Zoznam FTP serverov";
$tr["SMB server list"] = "Zoznam SMB serverov";
$tr["Comments"] = "Komentre";
$tr["Admin"] = "Administrcia";


# HELP_EDIT.PHP, HELP_SEARCH.PHP
$tr["Help"] = "Npoveda";


# CONFIG.PHP, DB.PHP:
$tr["Error"] = "Chyba";
$tr["Can't read configuration file"] = "Nemem nata konfururan sbor";
$tr["DB_NAME must be defined in configuration file"] = "Premenn DB_NAME mus by v konfiguranom sbore nastaven";
$tr["DB_LOGIN must be defined in configuration file"] = " Premenn DB_LOGIN mus by v konfiguranom sbore nastaven ";
$tr["DB_PASSWORD must be defined in configuration file"] = " Premenn DB_PASSWORD mus by v konfiguranom sbore nastaven ";
$tr["Can't connect to database"] = "Nemem sa pripoji na databzu";
$tr["Can't connect to master database"] = "Nemem sa pripoji na hlavn databzu";


# Some things are inpossible to translate by the translation array
# (for example there are different suffixes for different count of servers
# in some languages), these things are translated by a function.

function print_n_hits_in_s_seconds ($n, $s)
{
	echo "$n ";
	if ($n == 1)
		echo "vsledok";
	else if ($n >= 2 && $n <= 4)
		echo "vsledky";
	else
		echo "vsledkov";
	echo " za ", sprintf ("%0.2f", $s), " sekundy";
}

function page_generated ($host, $time)
{
	echo "Tto strnka bola vygenerovan na poiadavku z potaa ",
		$host, strftime (" da %d.%m.%Y v %H:%M:%S", $time);
}

function confirm_delete ($host, $purge = 0)
{
	echo "Naozaj chcete ", ($purge ? "odstrni" : "zmaza"), " $host?";
}

function permition_host_add ($type)		# $type = FTP or $type = SMB
{
	return "Muste sa prihlsi ako administrtor, ktor ma prvo prida $type server";
}

function permition_host_edit ($HID)
{
	return "Pota s HID = $HID nieje v zozname alebo<br />sa muste prihlsi ako administrtor, aby ste mohli editova tento server";
}

function permition_host_delete ($HID, $type, $purge = 0)	# $type = FTP or $type = SMB
{
	return "Pota s HID = $HID nieje v zozname alebo<br />sa muste prihlsi ako administrtor, ktor m prvo " . ($purge ? "odstrni" : "editova alebo odstrni") . " $type serveri";
}

function permition_comment_delete ($CID)
{
	return "Komentr s CID = $CID neexistuje alebo<br />sa muste prihlsi ako administrtor, ktor m prvo maza komentre";
}

function slow_queries_disabled ()
{
	global $c, $lang, $aid, $fast_query_minsize, $fast_query_maxsize;

	echo '<h1>Pomale otzky boli zakzan</h1>';
	echo "Hadajte poda masky a zadajte ben psmen (nie '*' alebo '?') zo zaiatku alebo  konca masky (napr. *.iso)";
	if ($fast_query_minsize >= 0)
		echo '<br />alebo zadajte minimlnu vekos sboru "', $c["FAST_QUERY_MINSIZE"], '"';
	if ($fast_query_maxsize >= 0)
		echo '<br />alebo zadajte maximlnu vekos sboru "', $c["FAST_QUERY_MAXSIZE"], '"';
	echo '.<br /><br /><a href="select.php?lang=', $lang, $aid, '">Nvrat na nastavenie parametrov hadania</a>';
}

?>
