<?php
define ('FAST_FILE_SEARCH', 1);

require_once ("config.php");

$flags = array (
	# "lang" => image description
	"en" => array ("src" => "flag/us.gif", "width" => 38, "height" => 20, "alt" => "English"),
	"bg" => array ("src" => "flag/bg.gif", "width" => 30, "height" => 20, "alt" => "Bulgarian"),
	"cs" => array ("src" => "flag/cz.gif", "width" => 30, "height" => 20, "alt" => "Czech"),
	"de" => array ("src" => "flag/de.gif", "width" => 30, "height" => 20, "alt" => "German"),
	"es" => array ("src" => "flag/es.gif", "width" => 30, "height" => 20, "alt" => "Spanish"),
	"fr" => array ("src" => "flag/fr.gif", "width" => 30, "height" => 20, "alt" => "French"),
	"hu" => array ("src" => "flag/hu.gif", "width" => 30, "height" => 20, "alt" => "Hungarian"),
	"lt" => array ("src" => "flag/lt.gif", "width" => 30, "height" => 20, "alt" => "Lithuanian"),
	"nl" => array ("src" => "flag/nl.gif", "width" => 30, "height" => 20, "alt" => "Dutch"),
	"nb" => array ("src" => "flag/no.gif", "width" => 30, "height" => 20, "alt" => "Norwegian"),
	"pl" => array ("src" => "flag/pl.gif", "width" => 30, "height" => 20, "alt" => "Polish"),
	"ro" => array ("src" => "flag/ro.gif", "width" => 30, "height" => 20, "alt" => "Romanian"),
	"ru" => array ("src" => "flag/ru.gif", "width" => 30, "height" => 20, "alt" => "Russian"),
	"sk" => array ("src" => "flag/sk.gif", "width" => 30, "height" => 20, "alt" => "Slovak"),
	"uk" => array ("src" => "flag/uk.gif", "width" => 30, "height" => 20, "alt" => "Ukrainian"),
	"zh" => array ("src" => "flag/zh.gif", "width" => 30, "height" => 20, "alt" => "Chinese"),
	# the following translations have not been written yet
	"it" => array ("src" => "flag/it.gif", "width" => 30, "height" => 20, "alt" => "Italian"),
	);

echo '<?xml version="1.0" encoding="', $encoding, '" ?>', "\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $lang; ?>" lang="<?php echo $lang; ?>">
<head>
<title>Fast File Search</title>
<link rel="StyleSheet" type="text/css" href="styles.css" />
</head>
<?php
echo '<body bgcolor="', $color_bg, '" text="', $color_text, '" link="', $color_link, '" vlink="', $color_vlink, '" alink="', $color_alink, '">';
?>
<div align="center">
<table border="0" cellpadding="1" cellspacing="0">
<tr><td align="center">
<?php
if (ereg ("^Mozilla|^Opera", getvar_server ("HTTP_USER_AGENT")))
{
?>
<table border="0" cellpadding="1" cellspacing="0"><tr>
<td background="logo.png" width="302" height="62" align="right" valign="bottom">
<div class="l1"><b>Version <?php echo $c["VERSION"]; ?>&nbsp;&nbsp;</b></div>
</td></tr></table>
<?php
} else {
?>
<img src="logo.png" border="0" width="304" height="62" alt="Fast File Search" />
<?php
}
?>
</td></tr>
<?php
if (count ($langs) > 1)
{
?>
<tr><td align="center">
<?php
	reset ($flags);
	while (list ($key, $img) = each ($flags))
	{
		if ($langs[$key])
		{
			if ($key != $lang)
				echo '<a href="index.php?lang=', $key, '" target="_top">';
			echo '<img src="', $img["src"], '" width="', $img["width"], '" height="', $img["height"], '" border="1" alt="', $img["alt"], '" />';
			if ($key != $lang)
				echo '</a>';
			echo "&nbsp;\n";
		}
	}
?>
</td></tr>
<?php
}
?>
</table>
</div>
</body>
</html>
