<?php
if (!defined ('FAST_FILE_SEARCH'))
{
	header ("Location: index.php");
	die ("");
}

# How is the translation done?
# ---------------------------

# The majority of texts are in a translation array:
# $tr["english sentence"] = "translated sentence";

# Some things remain in files - the helps and similar things.
# Other files which need to be translated:
# help_edit.php help_search.php


# TRANSLATION

$months = array ("Leden", "nor", "Bezen", "Duben", "Kvten", "erven", "ervenec", "Srpen", "Z", "jen", "Listopad", "Prosinec");

# SELECT.PHP:
if (defined ("FFS_SEARCH"))
{
	# the predefined file types in select.php (the main search page)
	$tr["ISO images"] = "ISO obraz CDka";
	$tr["pictures"] = "obrzky";
	$tr["software"] = "software";

	# the predefined times in select.php
	$tr["today"] = "dnes";
	$tr["yesterday"] = "vera";
	$tr["2 days ago"] = "pedevrem";
	$tr["3 days ago"] = "ped 3 dny";
	$tr["week ago"] = "ped tdnem";
	$tr["2 weeks ago"] = "ped 2 tdny";
	$tr["month ago"] = "ped mscem";

	$tr["Searching is case insensitive."] = "Vyhledva nerozliuje mal a velk psmena.";
	$tr["Files (wildcard (?,*))"] = "Soubory (maska (?,*))";
	$tr["Files (substring)"] = "Soubory (podetzec)";
	$tr["Files (regular expression)"] = "Soubory (regulrn vraz)";
	$tr["Directories (substring)"] = "Adrese (podetzec)";
	$tr["Directories (wildcard (?,*))"] = "Adrese (maska (?,*))";
	$tr["Directories (regular expression)"] = "Adrese (regulrn vraz)";
	$tr["Search!"] = "Vyhledat";
	$tr["Fill in the parameters for"] = "Nastavit parametry pro";
	$tr["Hide parameters of advanced search"] = "Skrt parametry pro pokroil vyhledvn";
	$tr["Show parameters of advanced search"] = "Zobrazit parametry pro pokroil vyhledvn";
	$tr["Save settings (cookies required)"] = "Uloit nastaven (vyaduje cookies)";
	$tr["Show only online hosts"] = "Zobrazit pouze dostupn servery";
	$tr["Print sizes in human readable format"] = "Vypsat velikosti ve formtu pro lovka";
	$tr["Search on"] = "Prohledat";
	$tr["hosts"] = "servery";		# SMB and FTP hosts
	$tr["file size"] = "velikost souboru";
	$tr["Only files added since"] = "Pouze soubory nalezen od";
	$tr["Hits per page"] = "Vsledk na strnku";
	$tr["Your history"] = "Historie Vaich hledn";
	$tr["Statistics"] = "Statistika";
	$tr["SMBs"] = "SMB servery";
	$tr["FTPs"] = "FTP servery";
	$tr["Directories"] = "Adrese";
	$tr["Files"] = "Soubory";
	$tr["Total size"] = "Celkov velikost";
	$tr["Queries"] = "Dotazy";
	$tr["and"] = "a";
	$tr["others"] = "dal";
	$tr["uses some code from"] = "obsahuje sti kdu projektu";
	$tr["is distributed under the"] = "je distribuovn pod licenc";


	# SEARCH.PHP:
	$tr["Results for"] = "Vsledky";
	$tr["More"] = "Vce";
	$tr["New search"] = "Nov hledn";
	$tr["No hits"] = "dn vsledky";
	$tr["Hit"] = "Vsledek";
	$tr["Hits"] = "Vsledky";


	# BROWSE.PHP
	$tr["Name"] = "Jmno";
	$tr["Size"] = "Velikost";
	$tr["Date"] = "Datum";
}
$tr["Last change"] = "Posledn zmna";


# FTP_LIST.PHP, FTP_HOST.PHP, FTP_DEL.PHP,
# SMB_LIST.PHP, SMB_HOST.PHP, SMB_DEL.PHP:

# actions
$tr["Add"] = "Pidat";
$tr["Update"] = "Upravit";
$tr["Edit"] = "Upravit";
$tr["Scan"] = "Prohledat";
$tr["Delete"] = "Smazat";
$tr["Purge"] = "Odstranit";
$tr["Cancel"] = "Zpt";

if (defined ("FFS_HOST_LIST"))
{
	# menu items
	$tr["Add FTP server"] = "Pidat FTP server";
	$tr["Edit FTP server"] = "Editovat FTP server";
	$tr["Delete FTP server"] = "Smazat FTP server";
	$tr["Purge FTP server"] = "Odstranit FTP server";
	$tr["Add SMB server"] = "Pidat SMB server";
	$tr["Edit SMB server"] = "Editovat SMB server";
	$tr["Delete SMB server"] = "Smazat SMB server";
	$tr["Purge SMB server"] = "Odstranit SMB server";

	# results and errors
	$tr["Host name must be specified"] = "Jmno potae mus bt zadno";
	$tr["Workgroup must be specified"] = "Skupina mus bt zadna";
	$tr["is not valid IP address"] = "nen platn IP adresa";
	$tr["is not valid DNS name or IP address"] = "nen platn DNS jmno nebo IP adresa";
	$tr["Login must be specified"] = "Pihlaovac jmno mus bt zadno";
	$tr["Port is not valid"] = "Port nen korektn";
	$tr["is not valid file name with absolute path"] = "nen platn jmno souboru vetn absolutn cesty";
	$tr["was added to list"] = "byl pidn do seznamu";
	$tr["is already in the list"] = "u je v seznamu";
	$tr["was deleted"] = "byl smazn";
	$tr["will be scanned during the next network scan"] = "bude prohledn bhem nsledujcho prohledvn st";
	$tr["will be deleted during next crawl"] = "bude smazn bhem nsledujcho prohledvn st";
	$tr["will be purged during next crawl"] = "bude ostrann bhem nsledujcho prohledvn st";
	# %s will be substituted by the hostname:
	$tr["__host_add_error__"] = "Bhem pidvn serveru %s dolo k chyb";
	$tr["__host_updated__"] = "Informace o serveru %s byly zaktualizovny";

	# data fields
	$tr["Host"] = "Server";
	$tr["Host (DNS name or IP)"] = "Server (DNS jmno nebo IP)";
	$tr["Login"] = "Login";
	$tr["Password"] = "Heslo";
	$tr["Port"] = "Port";
	$tr["Starting directory"] = "Poten adres";
	$tr["List of files"] = "Seznam soubor";
	$tr["Use passive mode"] = "Pouvat pasivn md";
	$tr["Use recursive ls (ls -lR) for getting file list"] = "Pouvat rekurzivn ls (ls -lR) k zskn seznamu soubor";
	$tr["(server must support it)"] = "(server to mus podporovat)";
	$tr["(if server supports it)"] = "(pokud to server podporuje)";
	$tr["Comment"] = "Poznmka";
	$tr["Editable by"] = "Editovateln (km)";
	$tr["IP address"] = "IP adresa";
	$tr["Workgroup"] = "Skupina";
	$tr["Shares"] = "Sdlen poloky";
	$tr["Name"] = "Nzev";
	$tr["File size"] = "Velikost soubor";
	$tr["Period"] = "Perioda";
	$tr["Counter"] = "Poitadlo";
	$tr["Scan order"] = "Poad prohledvn";
	$tr["Expire count"] = "Poitadlo nedostupnosti";
	$tr["Flags"] = "Pznaky";
	$tr["Action"] = "Akce";
	$tr["delete"] = "smazat";
	$tr["purge"] = "odstranit";
}


# COMMENTS.PHP, COMMENT_DEL.PHP:
if (defined ("FFS_COMMENTS"))
{
	$tr["You are welcome to write here any comments, ideas, ..."] = "Zde mete pst sv komente, poznmky, npady, ...";
	$tr["Your name or nickname"] = "Vae jmno nebo pezdvka";
	$tr["Your e-mail"] = "Vae e-mailov adresa";
	$tr["optional"] = "nepovinn";
	$tr["Comment text"] = "Text komente";
	$tr["Submit"] = "Odeslat";
	$tr["Delete comment"] = "Smazat koment";
	$tr["Do you really want to delete this comment?"] = "Opravdu chcete smazat tento koment?";
}


# ADMIN.PHP:
if (defined ('FFS_ADMIN'))
{
	$tr["Change password"] = "Zmnit heslo";
	$tr["Logout"] = "Odhlsit se";
	$tr["Password was changed"] = "Heslo bylo zmnno";
	$tr["Password cannot be empty"] = "Heslo nesm bt przdn";
	$tr["Passwords do not match"] = "Hesla se li";
	$tr["New password"] = "Nov heslo";
	$tr["Reenter password"] = "Jet jednou";
	$tr["Login name"] = "Pihlaovac jmno";
	$tr["Password"] = "Heslo";
	$tr["Login"] = "Pihlsit se";
	$tr["There are no admins."] = "Nejsou nadefinovni dn administrtoi.";
	$tr["Admin name"] = "Jmno administrtora";
	$tr["E-mail"] = "E-mail";
	$tr["Rights"] = "Prva";
	$tr["Edit FTP list"] = "Editovat seznam FTP server";
	$tr["Edit SMB list"] = "Editovat seznam SMB server";
	$tr["Purge FTP server from list"] = "Odstranit FTP server ze seznamu";	# purge == completely delete
	$tr["Purge SMB server from list"] = "Odstranit SMB server ze seznamu";
	$tr["Delete comments"] = "Mazat komente";
}


# MENU.PHP:
$tr["Search"] = "Vyhledvn";
$tr["FTP server list"] = "Seznam FTP server";
$tr["SMB server list"] = "Seznam SMB server";
$tr["Comments"] = "Komente";
$tr["Admin"] = "Administrace";


# HELP_EDIT.PHP, HELP_SEARCH.PHP
$tr["Help"] = "Npovda";


# CONFIG.PHP, DB.PHP:
$tr["Error"] = "Chyba";
$tr["Can't read configuration file"] = "Nemu nast konfiguran soubor";
$tr["DB_NAME must be defined in configuration file"] = "Promnn DB_NAME mus bt v konfiguranm souboru nastavena";
$tr["DB_LOGIN must be defined in configuration file"] = "Promnn DB_LOGIN mus bt v konfiguranm souboru nastavena";
$tr["DB_PASSWORD must be defined in configuration file"] = "Promnn DB_PASSWORD mus bt v konfiguranm souboru nastavena";
$tr["Can't connect to database"] = "Nemu se pipojit na databzi";
$tr["Can't connect to master database"] = "Nemu se pipojit na hlavn databzi";


# Some things are inpossible to translate by the translation array
# (for example there are different suffixes for different count of servers
# in some languages), these things are translated by a function.

function print_n_hits_in_s_seconds ($n, $s)
{
	echo "$n ";
	if ($n == 1)
		echo "vsledek";
	else if ($n >= 2 && $n <= 4)
		echo "vsledky";
	else
		echo "vsledk";
	echo " za ", sprintf ("%0.2f", $s), " sekundy";
}

function page_generated ($host, $time)
{
	echo "Tato strnka byla vygenerovna na dotaz z potae ",
		$host, strftime (" dne %d.%m.%Y v %H:%M:%S", $time);
}

function confirm_delete ($host, $purge = 0)
{
	echo "Opravdu chcete ", ($purge ? "odstranit" : "smazat"), " $host?";
}

function permition_host_add ($type)		# $type = FTP or $type = SMB
{
	return "Muste se pihlsit jako administrtor, kter m prvo pidat $type server";
}

function permition_host_edit ($HID)
{
	return "Pota s HID = $HID nen v seznamu nebo<br />se muste pihlsit jako administrtor, abyste mohl editovat tento server";
}

function permition_host_delete ($HID, $type, $purge = 0)	# $type = FTP or $type = SMB
{
	return "Pota s HID = $HID nen v seznamu nebo<br />se muste pihlsit jako administrtor, kter m prvo " . ($purge ? "odstranit" : "editovat nebo odstranit") . " $type servery";
}

function permition_comment_delete ($CID)
{
	return "Koment s CID = $CID neexistuje nebo<br />se muste pihlsit jako administrtor, kter m prvo mazat komente";
}

function slow_queries_disabled ()
{
	global $c, $lang, $aid, $fast_query_minsize, $fast_query_maxsize;

	echo '<h1>Pomal dotazy byly zakzny</h1>';
	echo "Hledejte podle masky a zadejte njak normln znaky (ne '*' nebo '?') ze zatku nebo konce masky (nap. *.iso)";
	if ($fast_query_minsize >= 0)
		echo '<br />nebo zadejte minimln velikost souboru "', $c["FAST_QUERY_MINSIZE"], '"';
	if ($fast_query_maxsize >= 0)
		echo '<br />nebo zadejte maximln velikost souboru "', $c["FAST_QUERY_MAXSIZE"], '"';
	echo '.<br /><br /><a href="select.php?lang=', $lang, $aid, '">Nvrat na nastaven parametr hledn</a>';
}

?>
